# Package org.python.modules.jffi

Interface Summary
Interface | Description
--- | ---
AllocatedDirectMemory |
DirectMemory |
Invoker |
Memory | Abstracted memory operations.
Pointer |

Class Summary
Class | Description
--- | ---
AbstractMemoryCData |
ArrayCData |
BasePointer |
ByReference |
CData |
CType |
DynamicLibrary |
DynamicLibrary.DataSymbol |
DynamicLibrary.Symbol |
DynamicLibrary.TextSymbol |
FastIntInvokerFactory | A factory which generates `Invoker` instances that are optimized for 32 bit integer and float parameters / result types with 3 or less parameters.
Function |
HeapMemory |
InvalidMemory | An implementation of Memory that throws an exception on any access.
jffi |
NullMemory | An implementation of MemoryIO that throws an exception on any access.
PointerCData |
ScalarCData |
StringCData |
StructLayout |
StructLayout.Field |
StructLayout.ScalarField |
Structure |

Enum Summary
Enum | Description
--- | ---
NativeType |